summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author David Spencer <nobbutl@yahoo.co.uk>2010-05-11 20:00:37 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:37 +0200
commit7d2235a47fb2f6e5df06982cb096139a76bd3145 (patch)
treeecb2e0705b60839cbdeee9e4a27771efe4899f0d /graphics
parent869d8266afc67b19429d8e3d6bb940b090c38168 (diff)
downloadslackbuilds-7d2235a47fb2f6e5df06982cb096139a76bd3145.tar.gz
slackbuilds-7d2235a47fb2f6e5df06982cb096139a76bd3145.tar.xz
graphics/qtpfsgui: Added to 12.0 repository
Diffstat (limited to 'graphics')
-rw-r--r--graphics/qtpfsgui/README7
-rw-r--r--graphics/qtpfsgui/doinst.sh3
-rw-r--r--graphics/qtpfsgui/qtpfsgui.SlackBuild57
-rw-r--r--graphics/qtpfsgui/qtpfsgui.info8
-rw-r--r--graphics/qtpfsgui/slack-desc19
5 files changed, 94 insertions, 0 deletions
diff --git a/graphics/qtpfsgui/README b/graphics/qtpfsgui/README
new file mode 100644
index 0000000000..8b68ceaf49
--- /dev/null
+++ b/graphics/qtpfsgui/README
@@ -0,0 +1,7 @@
+Qtpfsgui is an HDR imaging tool. It creates an HDR file from a set
+of images (JPEG, TIFF 8 and 16 bit, RAW) of the same scene taken at
+different exposure settings. You can save and load HDR images,
+rotate and resize them, tonemap your images, and copy your EXIF data.
+
+Qtpfsgui requires qt4, exiv2, fftw, openexr, and ilmbase, all of which
+are available at SlackBuilds.org.
diff --git a/graphics/qtpfsgui/doinst.sh b/graphics/qtpfsgui/doinst.sh
new file mode 100644
index 0000000000..98d466d8b9
--- /dev/null
+++ b/graphics/qtpfsgui/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+fi
diff --git a/graphics/qtpfsgui/qtpfsgui.SlackBuild b/graphics/qtpfsgui/qtpfsgui.SlackBuild
new file mode 100644
index 0000000000..03f310cd9b
--- /dev/null
+++ b/graphics/qtpfsgui/qtpfsgui.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Slackware build script for qtpfsgui
+# Written by David Spencer <nobbutl@yahoo.co.uk>
+# This script is dedicated to the public domain
+
+PRGNAM=qtpfsgui
+VERSION=1.9.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+lrelease project.pro # see lrelease(1)
+qmake-qt4 \
+ INSTALL_ROOT=$PKG \
+ PREFIX=/usr \
+ QMAKE_CFLAGS="$SLKCFLAGS" \
+ QMAKE_CXXFLAGS="$SLKCFLAGS"
+make
+make INSTALL_ROOT=$PKG install
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp TODO $CWD/$PRGNAM.SlackBuild $PKG/usr/doc/$PRGNAM-$VERSION
+cd $PKG/usr/share/$PRGNAM
+ mv AUTHORS Changelog INSTALL LICENSE README html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+ ln -s /usr/doc/$PRGNAM-$VERSION/html .
+cd -
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/qtpfsgui/qtpfsgui.info b/graphics/qtpfsgui/qtpfsgui.info
new file mode 100644
index 0000000000..50d8228429
--- /dev/null
+++ b/graphics/qtpfsgui/qtpfsgui.info
@@ -0,0 +1,8 @@
+PRGNAM="qtpfsgui"
+VERSION="1.9.0"
+HOMEPAGE="http://qtpfsgui.sourceforge.net"
+DOWNLOAD="http://download.sourceforge.net/qtpfsgui/qtpfsgui-1.9.0.tar.gz"
+MD5SUM="cd4dd10e2d757fba4b8edbc31a5ec128"
+MAINTAINER="David Spencer"
+EMAIL="nobbutl@yahoo.co.uk"
+APPROVED="rworkman"
diff --git a/graphics/qtpfsgui/slack-desc b/graphics/qtpfsgui/slack-desc
new file mode 100644
index 0000000000..22677b287d
--- /dev/null
+++ b/graphics/qtpfsgui/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+qtpfsgui: qtpfsgui (HDR imaging tool)
+qtpfsgui:
+qtpfsgui: Qtpfsgui creates an HDR file from a set of images (JPEG, TIFF 8 and
+qtpfsgui: 16 bit, RAW) of the same scene taken at different exposure settings.
+qtpfsgui: You can save and load HDR images, rotate and resize them, tonemap
+qtpfsgui: your images, and copy your EXIF data.
+qtpfsgui:
+qtpfsgui: Homepage: http://qtpfsgui.sourceforge.net/
+qtpfsgui:
+qtpfsgui:
+qtpfsgui: